export { CosmosClient, OnexClient, OnomyClient } from '@onomy/client';
import * as _onomy_react_utils from '@onomy/react-utils';
import { AsyncStatus } from '@onomy/react-utils';
export { useAsyncProcess, useAsyncStatuses } from '@onomy/react-utils';
import * as _onomy_hub from '@onomy/hub';
import { AbstractThrottledAsyncCache, DetailedFungibleAssetOnChain, DetailedFungibleAssetBalance } from '@onomy/hub';
export { DetailedDelegationData, DetailedFungibleAssetBalance, DetailedFungibleAssetOnChain, FungibleAssetWithMeta, OnomyHubConstants } from '@onomy/hub';
export { AmountDisplay, BigNumDisplay, FiatValueDisplay, RatioAsPercentage, TruncatedAddress, serializeAsset, serializeBalance, serializeBalances, useAddress, useAssetBalance, useClaimRewardForm, useConnectedWallet, useDelegateAssetForm, useDelegations, useFixedAmountInput, useGovVoteForm, useHoldings, useIsAddressValid, useMoveDelegationForm, useOnomyHub, useTransferAssetForm, useWalletsForChain } from '@onomy/react-hub';
import * as _keplr_wallet_types from '@keplr-wallet/types';
import * as bignumber_js from 'bignumber.js';
import bignumber_js__default from 'bignumber.js';
import * as react_jsx_runtime from 'react/jsx-runtime';
import * as _onomy_wallet from '@onomy/wallet';
import { WalletBackend } from '@onomy/wallet';
import * as _onomy_frontend_relay_types from '@onomy/frontend-relay-types';
import { FungibleAssetOnChain as FungibleAssetOnChain$1 } from '@onomy/frontend-relay-types';
import { ApolloClient, NormalizedCacheObject } from '@apollo/client';
import * as _onomy_telescope_dist_codegen_market_pool from '@onomy/telescope/dist/codegen/market/pool';
import { Pool } from '@onomy/telescope/dist/codegen/market/pool';
import * as long from 'long';
import * as _cosmjs_stargate from '@cosmjs/stargate';
import * as React$1 from 'react';
import React__default from 'react';
import * as _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin from '@onomy/telescope/dist/codegen/cosmos/base/v1beta1/coin';
import * as _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov from '@onomy/telescope/dist/codegen/cosmos/gov/v1beta1/gov';

declare const DEVNET: {
    onomyChainInfo: {
        chainId: string;
        chainName: string;
        rpc: string;
        rest: string;
        nodeProvider?: {
            readonly name: string;
            readonly email: string;
            readonly website?: string | undefined;
        } | undefined;
        stakeCurrency: _keplr_wallet_types.Currency;
        walletUrl?: string | undefined;
        walletUrlForStaking?: string | undefined;
        bip44: _keplr_wallet_types.BIP44;
        alternativeBIP44s?: _keplr_wallet_types.BIP44[] | undefined;
        bech32Config: _keplr_wallet_types.Bech32Config;
        currencies: _keplr_wallet_types.AppCurrency[];
        feeCurrencies: _keplr_wallet_types.FeeCurrency[];
        features?: string[] | undefined;
        beta?: boolean | undefined;
        chainSymbolImageUrl?: string | undefined;
    };
    onomyVestingSchedules: {
        amount: bignumber_js__default;
        duration: number;
        cliff: number;
    }[];
    onomyStartDate: Date;
    onomyDaoAddress: string;
    onomyGraphqlEndpoint: string;
    onexChainInfo: {
        chainId: string;
        chainName: string;
        rpc: string;
        rest: string;
        nodeProvider?: {
            readonly name: string;
            readonly email: string;
            readonly website?: string | undefined;
        } | undefined;
        stakeCurrency: _keplr_wallet_types.Currency;
        walletUrl?: string | undefined;
        walletUrlForStaking?: string | undefined;
        bip44: _keplr_wallet_types.BIP44;
        alternativeBIP44s?: _keplr_wallet_types.BIP44[] | undefined;
        bech32Config: _keplr_wallet_types.Bech32Config;
        currencies: _keplr_wallet_types.AppCurrency[];
        feeCurrencies: _keplr_wallet_types.FeeCurrency[];
        features?: string[] | undefined;
        beta?: boolean | undefined;
        chainSymbolImageUrl?: string | undefined;
    };
    onexGraphqlEndpoint: string;
    ethNetworkName: string;
    ethWsUrl: string;
    bNomContractAddress: string;
    ethNomContractAddress: string;
    bondContractAddress: string;
    gravityContractAddress: string;
    wEthUsdUniswapPoolAddress: string;
    ethBridgeWaitBlocks: number;
};
declare const TESTNET: {
    onomyChainInfo: {
        chainId: string;
        chainName: string;
        rpc: string;
        rest: string;
        nodeProvider?: {
            readonly name: string;
            readonly email: string;
            readonly website?: string | undefined;
        } | undefined;
        stakeCurrency: _keplr_wallet_types.Currency;
        walletUrl?: string | undefined;
        walletUrlForStaking?: string | undefined;
        bip44: _keplr_wallet_types.BIP44;
        alternativeBIP44s?: _keplr_wallet_types.BIP44[] | undefined;
        bech32Config: _keplr_wallet_types.Bech32Config;
        currencies: _keplr_wallet_types.AppCurrency[];
        feeCurrencies: _keplr_wallet_types.FeeCurrency[];
        features?: string[] | undefined;
        beta?: boolean | undefined;
        chainSymbolImageUrl?: string | undefined;
    };
    onomyVestingSchedules: {
        amount: bignumber_js__default;
        duration: number;
        cliff: number;
    }[];
    onomyStartDate: Date;
    onomyDaoAddress: string;
    onomyGraphqlEndpoint: string;
    onexChainInfo: {
        chainId: string;
        chainName: string;
        rpc: string;
        rest: string;
        nodeProvider?: {
            readonly name: string;
            readonly email: string;
            readonly website?: string | undefined;
        } | undefined;
        stakeCurrency: _keplr_wallet_types.Currency;
        walletUrl?: string | undefined;
        walletUrlForStaking?: string | undefined;
        bip44: _keplr_wallet_types.BIP44;
        alternativeBIP44s?: _keplr_wallet_types.BIP44[] | undefined;
        bech32Config: _keplr_wallet_types.Bech32Config;
        currencies: _keplr_wallet_types.AppCurrency[];
        feeCurrencies: _keplr_wallet_types.FeeCurrency[];
        features?: string[] | undefined;
        beta?: boolean | undefined;
        chainSymbolImageUrl?: string | undefined;
    };
    onexGraphqlEndpoint: string;
    ethNetworkName: string;
    ethWsUrl: string;
    bNomContractAddress: string;
    ethNomContractAddress: string;
    bondContractAddress: string;
    gravityContractAddress: string;
    wEthUsdUniswapPoolAddress: string;
    ethBridgeWaitBlocks: number;
};
declare const MAINNET: {
    onomyChainInfo: _keplr_wallet_types.ChainInfo;
    onomyVestingSchedules: {
        amount: bignumber_js__default;
        duration: number;
        cliff: number;
    }[];
    onomyStartDate: Date;
    onomyDaoAddress: string;
    onomyGraphqlEndpoint: string;
    onexChainInfo: undefined;
    onexGraphqlEndpoint: string;
    ethNetworkName: string;
    ethWsUrl: string;
    bNomContractAddress: string;
    ethNomContractAddress: string;
    bondContractAddress: string;
    gravityContractAddress: string;
    wEthUsdUniswapPoolAddress: string;
    ethBridgeWaitBlocks: number;
};
declare const OnomyEcosystemConfigs: {
    DEVNET: {
        onomyChainInfo: {
            chainId: string;
            chainName: string;
            rpc: string;
            rest: string;
            nodeProvider?: {
                readonly name: string;
                readonly email: string;
                readonly website?: string | undefined;
            } | undefined;
            stakeCurrency: _keplr_wallet_types.Currency;
            walletUrl?: string | undefined;
            walletUrlForStaking?: string | undefined;
            bip44: _keplr_wallet_types.BIP44;
            alternativeBIP44s?: _keplr_wallet_types.BIP44[] | undefined;
            bech32Config: _keplr_wallet_types.Bech32Config;
            currencies: _keplr_wallet_types.AppCurrency[];
            feeCurrencies: _keplr_wallet_types.FeeCurrency[];
            features?: string[] | undefined;
            beta?: boolean | undefined;
            chainSymbolImageUrl?: string | undefined;
        };
        onomyVestingSchedules: {
            amount: bignumber_js__default;
            duration: number;
            cliff: number;
        }[];
        onomyStartDate: Date;
        onomyDaoAddress: string;
        onomyGraphqlEndpoint: string;
        onexChainInfo: {
            chainId: string;
            chainName: string;
            rpc: string;
            rest: string;
            nodeProvider?: {
                readonly name: string;
                readonly email: string;
                readonly website?: string | undefined;
            } | undefined;
            stakeCurrency: _keplr_wallet_types.Currency;
            walletUrl?: string | undefined;
            walletUrlForStaking?: string | undefined;
            bip44: _keplr_wallet_types.BIP44;
            alternativeBIP44s?: _keplr_wallet_types.BIP44[] | undefined;
            bech32Config: _keplr_wallet_types.Bech32Config;
            currencies: _keplr_wallet_types.AppCurrency[];
            feeCurrencies: _keplr_wallet_types.FeeCurrency[];
            features?: string[] | undefined;
            beta?: boolean | undefined;
            chainSymbolImageUrl?: string | undefined;
        };
        onexGraphqlEndpoint: string;
        ethNetworkName: string;
        ethWsUrl: string;
        bNomContractAddress: string;
        ethNomContractAddress: string;
        bondContractAddress: string;
        gravityContractAddress: string;
        wEthUsdUniswapPoolAddress: string;
        ethBridgeWaitBlocks: number;
    };
    TESTNET: {
        onomyChainInfo: {
            chainId: string;
            chainName: string;
            rpc: string;
            rest: string;
            nodeProvider?: {
                readonly name: string;
                readonly email: string;
                readonly website?: string | undefined;
            } | undefined;
            stakeCurrency: _keplr_wallet_types.Currency;
            walletUrl?: string | undefined;
            walletUrlForStaking?: string | undefined;
            bip44: _keplr_wallet_types.BIP44;
            alternativeBIP44s?: _keplr_wallet_types.BIP44[] | undefined;
            bech32Config: _keplr_wallet_types.Bech32Config;
            currencies: _keplr_wallet_types.AppCurrency[];
            feeCurrencies: _keplr_wallet_types.FeeCurrency[];
            features?: string[] | undefined;
            beta?: boolean | undefined;
            chainSymbolImageUrl?: string | undefined;
        };
        onomyVestingSchedules: {
            amount: bignumber_js__default;
            duration: number;
            cliff: number;
        }[];
        onomyStartDate: Date;
        onomyDaoAddress: string;
        onomyGraphqlEndpoint: string;
        onexChainInfo: {
            chainId: string;
            chainName: string;
            rpc: string;
            rest: string;
            nodeProvider?: {
                readonly name: string;
                readonly email: string;
                readonly website?: string | undefined;
            } | undefined;
            stakeCurrency: _keplr_wallet_types.Currency;
            walletUrl?: string | undefined;
            walletUrlForStaking?: string | undefined;
            bip44: _keplr_wallet_types.BIP44;
            alternativeBIP44s?: _keplr_wallet_types.BIP44[] | undefined;
            bech32Config: _keplr_wallet_types.Bech32Config;
            currencies: _keplr_wallet_types.AppCurrency[];
            feeCurrencies: _keplr_wallet_types.FeeCurrency[];
            features?: string[] | undefined;
            beta?: boolean | undefined;
            chainSymbolImageUrl?: string | undefined;
        };
        onexGraphqlEndpoint: string;
        ethNetworkName: string;
        ethWsUrl: string;
        bNomContractAddress: string;
        ethNomContractAddress: string;
        bondContractAddress: string;
        gravityContractAddress: string;
        wEthUsdUniswapPoolAddress: string;
        ethBridgeWaitBlocks: number;
    };
    MAINNET: {
        onomyChainInfo: _keplr_wallet_types.ChainInfo;
        onomyVestingSchedules: {
            amount: bignumber_js__default;
            duration: number;
            cliff: number;
        }[];
        onomyStartDate: Date;
        onomyDaoAddress: string;
        onomyGraphqlEndpoint: string;
        onexChainInfo: undefined;
        onexGraphqlEndpoint: string;
        ethNetworkName: string;
        ethWsUrl: string;
        bNomContractAddress: string;
        ethNomContractAddress: string;
        bondContractAddress: string;
        gravityContractAddress: string;
        wEthUsdUniswapPoolAddress: string;
        ethBridgeWaitBlocks: number;
    };
};
type OnomyEcosystemConfigName = keyof typeof OnomyEcosystemConfigs;
type OnomyEcosystemConfig = typeof DEVNET | typeof TESTNET | typeof MAINNET;
declare function setOnomyEcosystemConfig(configName: OnomyEcosystemConfigName, overrides?: Partial<OnomyEcosystemConfig>): {
    onomyChainInfo: {
        chainId: string;
        chainName: string;
        rpc: string;
        rest: string;
        nodeProvider?: {
            readonly name: string;
            readonly email: string;
            readonly website?: string | undefined;
        } | undefined;
        stakeCurrency: _keplr_wallet_types.Currency;
        walletUrl?: string | undefined;
        walletUrlForStaking?: string | undefined;
        bip44: _keplr_wallet_types.BIP44;
        alternativeBIP44s?: _keplr_wallet_types.BIP44[] | undefined;
        bech32Config: _keplr_wallet_types.Bech32Config;
        currencies: _keplr_wallet_types.AppCurrency[];
        feeCurrencies: _keplr_wallet_types.FeeCurrency[];
        features?: string[] | undefined;
        beta?: boolean | undefined;
        chainSymbolImageUrl?: string | undefined;
    };
    onomyVestingSchedules: {
        amount: bignumber_js__default;
        duration: number;
        cliff: number;
    }[];
    onomyStartDate: Date;
    onomyDaoAddress: string;
    onomyGraphqlEndpoint: string;
    onexChainInfo: {
        chainId: string;
        chainName: string;
        rpc: string;
        rest: string;
        nodeProvider?: {
            readonly name: string;
            readonly email: string;
            readonly website?: string | undefined;
        } | undefined;
        stakeCurrency: _keplr_wallet_types.Currency;
        walletUrl?: string | undefined;
        walletUrlForStaking?: string | undefined;
        bip44: _keplr_wallet_types.BIP44;
        alternativeBIP44s?: _keplr_wallet_types.BIP44[] | undefined;
        bech32Config: _keplr_wallet_types.Bech32Config;
        currencies: _keplr_wallet_types.AppCurrency[];
        feeCurrencies: _keplr_wallet_types.FeeCurrency[];
        features?: string[] | undefined;
        beta?: boolean | undefined;
        chainSymbolImageUrl?: string | undefined;
    };
    onexGraphqlEndpoint: string;
    ethNetworkName: string;
    ethWsUrl: string;
    bNomContractAddress: string;
    ethNomContractAddress: string;
    bondContractAddress: string;
    gravityContractAddress: string;
    wEthUsdUniswapPoolAddress: string;
    ethBridgeWaitBlocks: number;
} | {
    onomyChainInfo: {
        chainId: string;
        chainName: string;
        rpc: string;
        rest: string;
        nodeProvider?: {
            readonly name: string;
            readonly email: string;
            readonly website?: string | undefined;
        } | undefined;
        stakeCurrency: _keplr_wallet_types.Currency;
        walletUrl?: string | undefined;
        walletUrlForStaking?: string | undefined;
        bip44: _keplr_wallet_types.BIP44;
        alternativeBIP44s?: _keplr_wallet_types.BIP44[] | undefined;
        bech32Config: _keplr_wallet_types.Bech32Config;
        currencies: _keplr_wallet_types.AppCurrency[];
        feeCurrencies: _keplr_wallet_types.FeeCurrency[];
        features?: string[] | undefined;
        beta?: boolean | undefined;
        chainSymbolImageUrl?: string | undefined;
    };
    onomyVestingSchedules: {
        amount: bignumber_js__default;
        duration: number;
        cliff: number;
    }[];
    onomyStartDate: Date;
    onomyDaoAddress: string;
    onomyGraphqlEndpoint: string;
    onexChainInfo: {
        chainId: string;
        chainName: string;
        rpc: string;
        rest: string;
        nodeProvider?: {
            readonly name: string;
            readonly email: string;
            readonly website?: string | undefined;
        } | undefined;
        stakeCurrency: _keplr_wallet_types.Currency;
        walletUrl?: string | undefined;
        walletUrlForStaking?: string | undefined;
        bip44: _keplr_wallet_types.BIP44;
        alternativeBIP44s?: _keplr_wallet_types.BIP44[] | undefined;
        bech32Config: _keplr_wallet_types.Bech32Config;
        currencies: _keplr_wallet_types.AppCurrency[];
        feeCurrencies: _keplr_wallet_types.FeeCurrency[];
        features?: string[] | undefined;
        beta?: boolean | undefined;
        chainSymbolImageUrl?: string | undefined;
    };
    onexGraphqlEndpoint: string;
    ethNetworkName: string;
    ethWsUrl: string;
    bNomContractAddress: string;
    ethNomContractAddress: string;
    bondContractAddress: string;
    gravityContractAddress: string;
    wEthUsdUniswapPoolAddress: string;
    ethBridgeWaitBlocks: number;
} | {
    onomyChainInfo: _keplr_wallet_types.ChainInfo;
    onomyVestingSchedules: {
        amount: bignumber_js__default;
        duration: number;
        cliff: number;
    }[];
    onomyStartDate: Date;
    onomyDaoAddress: string;
    onomyGraphqlEndpoint: string;
    onexChainInfo: {
        chainId: string;
        chainName: string;
        rpc: string;
        rest: string;
        nodeProvider?: {
            readonly name: string;
            readonly email: string;
            readonly website?: string | undefined;
        } | undefined;
        stakeCurrency: _keplr_wallet_types.Currency;
        walletUrl?: string | undefined;
        walletUrlForStaking?: string | undefined;
        bip44: _keplr_wallet_types.BIP44;
        alternativeBIP44s?: _keplr_wallet_types.BIP44[] | undefined;
        bech32Config: _keplr_wallet_types.Bech32Config;
        currencies: _keplr_wallet_types.AppCurrency[];
        feeCurrencies: _keplr_wallet_types.FeeCurrency[];
        features?: string[] | undefined;
        beta?: boolean | undefined;
        chainSymbolImageUrl?: string | undefined;
    };
    onexGraphqlEndpoint: string;
    ethNetworkName: string;
    ethWsUrl: string;
    bNomContractAddress: string;
    ethNomContractAddress: string;
    bondContractAddress: string;
    gravityContractAddress: string;
    wEthUsdUniswapPoolAddress: string;
    ethBridgeWaitBlocks: number;
} | {
    onomyChainInfo: {
        chainId: string;
        chainName: string;
        rpc: string;
        rest: string;
        nodeProvider?: {
            readonly name: string;
            readonly email: string;
            readonly website?: string | undefined;
        } | undefined;
        stakeCurrency: _keplr_wallet_types.Currency;
        walletUrl?: string | undefined;
        walletUrlForStaking?: string | undefined;
        bip44: _keplr_wallet_types.BIP44;
        alternativeBIP44s?: _keplr_wallet_types.BIP44[] | undefined;
        bech32Config: _keplr_wallet_types.Bech32Config;
        currencies: _keplr_wallet_types.AppCurrency[];
        feeCurrencies: _keplr_wallet_types.FeeCurrency[];
        features?: string[] | undefined;
        beta?: boolean | undefined;
        chainSymbolImageUrl?: string | undefined;
    };
    onomyVestingSchedules: {
        amount: bignumber_js__default;
        duration: number;
        cliff: number;
    }[];
    onomyStartDate: Date;
    onomyDaoAddress: string;
    onomyGraphqlEndpoint: string;
    onexChainInfo: {
        chainId: string;
        chainName: string;
        rpc: string;
        rest: string;
        nodeProvider?: {
            readonly name: string;
            readonly email: string;
            readonly website?: string | undefined;
        } | undefined;
        stakeCurrency: _keplr_wallet_types.Currency;
        walletUrl?: string | undefined;
        walletUrlForStaking?: string | undefined;
        bip44: _keplr_wallet_types.BIP44;
        alternativeBIP44s?: _keplr_wallet_types.BIP44[] | undefined;
        bech32Config: _keplr_wallet_types.Bech32Config;
        currencies: _keplr_wallet_types.AppCurrency[];
        feeCurrencies: _keplr_wallet_types.FeeCurrency[];
        features?: string[] | undefined;
        beta?: boolean | undefined;
        chainSymbolImageUrl?: string | undefined;
    };
    onexGraphqlEndpoint: string;
    ethNetworkName: string;
    ethWsUrl: string;
    bNomContractAddress: string;
    ethNomContractAddress: string;
    bondContractAddress: string;
    gravityContractAddress: string;
    wEthUsdUniswapPoolAddress: string;
    ethBridgeWaitBlocks: number;
} | {
    onomyChainInfo: {
        chainId: string;
        chainName: string;
        rpc: string;
        rest: string;
        nodeProvider?: {
            readonly name: string;
            readonly email: string;
            readonly website?: string | undefined;
        } | undefined;
        stakeCurrency: _keplr_wallet_types.Currency;
        walletUrl?: string | undefined;
        walletUrlForStaking?: string | undefined;
        bip44: _keplr_wallet_types.BIP44;
        alternativeBIP44s?: _keplr_wallet_types.BIP44[] | undefined;
        bech32Config: _keplr_wallet_types.Bech32Config;
        currencies: _keplr_wallet_types.AppCurrency[];
        feeCurrencies: _keplr_wallet_types.FeeCurrency[];
        features?: string[] | undefined;
        beta?: boolean | undefined;
        chainSymbolImageUrl?: string | undefined;
    };
    onomyVestingSchedules: {
        amount: bignumber_js__default;
        duration: number;
        cliff: number;
    }[];
    onomyStartDate: Date;
    onomyDaoAddress: string;
    onomyGraphqlEndpoint: string;
    onexChainInfo: {
        chainId: string;
        chainName: string;
        rpc: string;
        rest: string;
        nodeProvider?: {
            readonly name: string;
            readonly email: string;
            readonly website?: string | undefined;
        } | undefined;
        stakeCurrency: _keplr_wallet_types.Currency;
        walletUrl?: string | undefined;
        walletUrlForStaking?: string | undefined;
        bip44: _keplr_wallet_types.BIP44;
        alternativeBIP44s?: _keplr_wallet_types.BIP44[] | undefined;
        bech32Config: _keplr_wallet_types.Bech32Config;
        currencies: _keplr_wallet_types.AppCurrency[];
        feeCurrencies: _keplr_wallet_types.FeeCurrency[];
        features?: string[] | undefined;
        beta?: boolean | undefined;
        chainSymbolImageUrl?: string | undefined;
    };
    onexGraphqlEndpoint: string;
    ethNetworkName: string;
    ethWsUrl: string;
    bNomContractAddress: string;
    ethNomContractAddress: string;
    bondContractAddress: string;
    gravityContractAddress: string;
    wEthUsdUniswapPoolAddress: string;
    ethBridgeWaitBlocks: number;
} | {
    onomyChainInfo: _keplr_wallet_types.ChainInfo;
    onomyVestingSchedules: {
        amount: bignumber_js__default;
        duration: number;
        cliff: number;
    }[];
    onomyStartDate: Date;
    onomyDaoAddress: string;
    onomyGraphqlEndpoint: string;
    onexChainInfo: {
        chainId: string;
        chainName: string;
        rpc: string;
        rest: string;
        nodeProvider?: {
            readonly name: string;
            readonly email: string;
            readonly website?: string | undefined;
        } | undefined;
        stakeCurrency: _keplr_wallet_types.Currency;
        walletUrl?: string | undefined;
        walletUrlForStaking?: string | undefined;
        bip44: _keplr_wallet_types.BIP44;
        alternativeBIP44s?: _keplr_wallet_types.BIP44[] | undefined;
        bech32Config: _keplr_wallet_types.Bech32Config;
        currencies: _keplr_wallet_types.AppCurrency[];
        feeCurrencies: _keplr_wallet_types.FeeCurrency[];
        features?: string[] | undefined;
        beta?: boolean | undefined;
        chainSymbolImageUrl?: string | undefined;
    };
    onexGraphqlEndpoint: string;
    ethNetworkName: string;
    ethWsUrl: string;
    bNomContractAddress: string;
    ethNomContractAddress: string;
    bondContractAddress: string;
    gravityContractAddress: string;
    wEthUsdUniswapPoolAddress: string;
    ethBridgeWaitBlocks: number;
} | {
    onomyChainInfo: _keplr_wallet_types.ChainInfo;
    onomyVestingSchedules: {
        amount: bignumber_js__default;
        duration: number;
        cliff: number;
    }[];
    onomyStartDate: Date;
    onomyDaoAddress: string;
    onomyGraphqlEndpoint: string;
    onexChainInfo: {
        chainId: string;
        chainName: string;
        rpc: string;
        rest: string;
        nodeProvider?: {
            readonly name: string;
            readonly email: string;
            readonly website?: string | undefined;
        } | undefined;
        stakeCurrency: _keplr_wallet_types.Currency;
        walletUrl?: string | undefined;
        walletUrlForStaking?: string | undefined;
        bip44: _keplr_wallet_types.BIP44;
        alternativeBIP44s?: _keplr_wallet_types.BIP44[] | undefined;
        bech32Config: _keplr_wallet_types.Bech32Config;
        currencies: _keplr_wallet_types.AppCurrency[];
        feeCurrencies: _keplr_wallet_types.FeeCurrency[];
        features?: string[] | undefined;
        beta?: boolean | undefined;
        chainSymbolImageUrl?: string | undefined;
    } | undefined;
    onexGraphqlEndpoint: string;
    ethNetworkName: string;
    ethWsUrl: string;
    bNomContractAddress: string;
    ethNomContractAddress: string;
    bondContractAddress: string;
    gravityContractAddress: string;
    wEthUsdUniswapPoolAddress: string;
    ethBridgeWaitBlocks: number;
} | {
    onomyChainInfo: _keplr_wallet_types.ChainInfo;
    onomyVestingSchedules: {
        amount: bignumber_js__default;
        duration: number;
        cliff: number;
    }[];
    onomyStartDate: Date;
    onomyDaoAddress: string;
    onomyGraphqlEndpoint: string;
    onexChainInfo: {
        chainId: string;
        chainName: string;
        rpc: string;
        rest: string;
        nodeProvider?: {
            readonly name: string;
            readonly email: string;
            readonly website?: string | undefined;
        } | undefined;
        stakeCurrency: _keplr_wallet_types.Currency;
        walletUrl?: string | undefined;
        walletUrlForStaking?: string | undefined;
        bip44: _keplr_wallet_types.BIP44;
        alternativeBIP44s?: _keplr_wallet_types.BIP44[] | undefined;
        bech32Config: _keplr_wallet_types.Bech32Config;
        currencies: _keplr_wallet_types.AppCurrency[];
        feeCurrencies: _keplr_wallet_types.FeeCurrency[];
        features?: string[] | undefined;
        beta?: boolean | undefined;
        chainSymbolImageUrl?: string | undefined;
    } | undefined;
    onexGraphqlEndpoint: string;
    ethNetworkName: string;
    ethWsUrl: string;
    bNomContractAddress: string;
    ethNomContractAddress: string;
    bondContractAddress: string;
    gravityContractAddress: string;
    wEthUsdUniswapPoolAddress: string;
    ethBridgeWaitBlocks: number;
} | {
    onomyChainInfo: _keplr_wallet_types.ChainInfo;
    onomyVestingSchedules: {
        amount: bignumber_js__default;
        duration: number;
        cliff: number;
    }[];
    onomyStartDate: Date;
    onomyDaoAddress: string;
    onomyGraphqlEndpoint: string;
    onexChainInfo: undefined;
    onexGraphqlEndpoint: string;
    ethNetworkName: string;
    ethWsUrl: string;
    bNomContractAddress: string;
    ethNomContractAddress: string;
    bondContractAddress: string;
    gravityContractAddress: string;
    wEthUsdUniswapPoolAddress: string;
    ethBridgeWaitBlocks: number;
};

declare function OnomyCoreProvider({ children, createBackendFn, config, overrides, }: {
    children: JSX.Element | JSX.Element[];
    createBackendFn: () => WalletBackend;
    config?: OnomyEcosystemConfigName;
    overrides?: Partial<OnomyEcosystemConfig>;
}): react_jsx_runtime.JSX.Element;

type FrameType = 'Minute' | 'QuarterHour' | 'Hour' | 'QuarterDay' | 'Day' | 'Week';
type ParamsObj = {
    baseDenom: string;
    quoteDenom: string;
    frameType: FrameType;
    from?: number;
    to?: number;
    first?: number;
    skipped?: number;
};
type ParamsType = [ParamsObj];
declare const BLANK_ONEX_HISTORY_FRAME: {
    startTime: string;
    endTime: string;
    startPrice: string;
    maxPrice: string;
    minPrice: string;
    endPrice: string;
    volume: string;
};
type OnexHistoryFrame = typeof BLANK_ONEX_HISTORY_FRAME;
declare class OnexHistoryFrames extends AbstractThrottledAsyncCache<ParamsType, OnexHistoryFrame[]> {
    private apolloClient;
    constructor(apolloClient: ApolloClient<NormalizedCacheObject>);
    protected cacheKey([{ baseDenom, quoteDenom, frameType, from, to, first, skipped }]: ParamsType): string;
    protected implementation({ baseDenom, quoteDenom, frameType, from, to, first, skipped, }: ParamsObj): Promise<OnexHistoryFrame[]>;
}

declare function useOnomyApp(): {
    ecosystem: OnomyEcosystemConfig;
    loadingStatus: _onomy_react_utils.AsyncStatus;
    onexHistoryFrames: OnexHistoryFrames | null;
    onomyChain: _onomy_frontend_relay_types.Blockchain;
    onexChain: _onomy_frontend_relay_types.Blockchain;
    onomyNomAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
        meta: _onomy_frontend_relay_types.FungibleAsset;
    };
    onexNomAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
        meta: _onomy_frontend_relay_types.FungibleAsset;
    };
    onexUsdtAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
        meta: _onomy_frontend_relay_types.FungibleAsset;
    };
    onexUsdcAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
        meta: _onomy_frontend_relay_types.FungibleAsset;
    };
    onexEthAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
        meta: _onomy_frontend_relay_types.FungibleAsset;
    };
    myOnomyAddress: _onomy_frontend_relay_types.BlockchainAddress | null;
    myOnexAddress: _onomy_frontend_relay_types.BlockchainAddress | null;
    myOnomyWallet: _onomy_wallet.CosmosWallet | null;
    myOnexWallet: _onomy_wallet.CosmosWallet | null;
    quoteAssets: _onomy_hub.FungibleAssetWithMeta[];
    pairsByQuote: {
        [x: string]: {
            quoteAsset: _onomy_hub.DetailedFungibleAssetOnChain;
            pairs: {
                quoteAsset: _onomy_hub.DetailedFungibleAssetOnChain;
                baseAsset: _onomy_hub.DetailedFungibleAssetOnChain;
                pair: string;
            }[];
        } | undefined;
    };
    logout: () => Promise<void>;
    logoutOnomy: () => Promise<void>;
    logoutOnex: () => Promise<void>;
};

type DayTradeFrame = OnexHistoryFrame & {
    loadingStatus: AsyncStatus;
    priceDiff: number;
    priceChangeRatio: number;
    volumeDiffRatio: number;
    lastPricePerBase: DetailedFungibleAssetBalance;
    lastPricePerBaseStatus: AsyncStatus;
    volumeAmount: DetailedFungibleAssetBalance;
    volumeAmountStatus: AsyncStatus;
    volumeDiffAmount: DetailedFungibleAssetBalance;
    volumeDiffAmountStatus: AsyncStatus;
};
declare function useOnexDayTradeFrame({ baseAsset, quoteAsset, }: {
    baseAsset: DetailedFungibleAssetOnChain;
    quoteAsset: DetailedFungibleAssetOnChain;
}): [DayTradeFrame, AsyncStatus];

declare function useOnomyDashboard(): {
    holdings: {
        loadingStatus: _onomy_react_utils.AsyncStatus;
        delegations: _onomy_hub.DetailedDelegationData[];
        balances: _onomy_hub.DetailedFungibleAssetBalance[];
        stakedBalances: _onomy_hub.DetailedFungibleAssetBalance[];
        rewardBalances: _onomy_hub.DetailedFungibleAssetBalance[];
        unbondingBalances: _onomy_hub.DetailedFungibleAssetBalance[];
        totals: _onomy_hub.DetailedFungibleAssetBalance[];
        balanceTotalFiat: number;
        stakedTotalFiat: number;
        rewardTotalFiat: number;
        unbondingTotalFiat: number;
        grandTotalFiat: number;
        nomAvailable: _onomy_hub.DetailedFungibleAssetBalance;
        nomTotal: _onomy_hub.DetailedFungibleAssetBalance;
        ethTotal: _onomy_hub.DetailedFungibleAssetBalance;
        bNomTotal: _onomy_hub.DetailedFungibleAssetBalance;
        nomStaked: _onomy_hub.DetailedFungibleAssetBalance;
        nomUnbonding: _onomy_hub.DetailedFungibleAssetBalance;
        nomRewards: _onomy_hub.DetailedFungibleAssetBalance;
    };
    myLiquidity: {
        pool: {
            baseAsset: _onomy_hub.DetailedFungibleAssetOnChain;
            quoteAsset: _onomy_hub.DetailedFungibleAssetOnChain;
            fiatTotal: number;
            fiatCurrency: string;
            leaders: {
                baseAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
                    fiatPrice: number;
                    fiatCurrency: string;
                    fiatValue: number;
                    amountFormatted: string;
                    asset: _onomy_hub.DetailedFungibleAssetOnChain;
                };
                quoteAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
                    fiatPrice: number;
                    fiatCurrency: string;
                    fiatValue: number;
                    amountFormatted: string;
                    asset: _onomy_hub.DetailedFungibleAssetOnChain;
                };
                address: string;
                drops: string;
            }[];
            memberBase: {
                total: _onomy_frontend_relay_types.FungibleAssetBalance & {
                    fiatPrice: number;
                    fiatCurrency: string;
                    fiatValue: number;
                    amountFormatted: string;
                    asset: _onomy_hub.DetailedFungibleAssetOnChain;
                };
                pair: string;
                denomA: string;
                denomB: string;
                balance: string;
                previous: string;
                limit: long.Long;
                stop: long.Long;
            };
            memberQuote: {
                total: _onomy_frontend_relay_types.FungibleAssetBalance & {
                    fiatPrice: number;
                    fiatCurrency: string;
                    fiatValue: number;
                    amountFormatted: string;
                    asset: _onomy_hub.DetailedFungibleAssetOnChain;
                };
                pair: string;
                denomA: string;
                denomB: string;
                balance: string;
                previous: string;
                limit: long.Long;
                stop: long.Long;
            };
            pair: string;
            denom1: string;
            denom2: string;
            volume1: _onomy_telescope_dist_codegen_market_pool.Volume;
            volume2: _onomy_telescope_dist_codegen_market_pool.Volume;
            drops: string;
            history: long.Long;
        };
        drops: {
            pool: {
                baseAsset: _onomy_hub.DetailedFungibleAssetOnChain;
                quoteAsset: _onomy_hub.DetailedFungibleAssetOnChain;
                fiatTotal: number;
                fiatCurrency: string;
                leaders: {
                    baseAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
                        fiatPrice: number;
                        fiatCurrency: string;
                        fiatValue: number;
                        amountFormatted: string;
                        asset: _onomy_hub.DetailedFungibleAssetOnChain;
                    };
                    quoteAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
                        fiatPrice: number;
                        fiatCurrency: string;
                        fiatValue: number;
                        amountFormatted: string;
                        asset: _onomy_hub.DetailedFungibleAssetOnChain;
                    };
                    address: string;
                    drops: string;
                }[];
                memberBase: {
                    total: _onomy_frontend_relay_types.FungibleAssetBalance & {
                        fiatPrice: number;
                        fiatCurrency: string;
                        fiatValue: number;
                        amountFormatted: string;
                        asset: _onomy_hub.DetailedFungibleAssetOnChain;
                    };
                    pair: string;
                    denomA: string;
                    denomB: string;
                    balance: string;
                    previous: string;
                    limit: long.Long;
                    stop: long.Long;
                };
                memberQuote: {
                    total: _onomy_frontend_relay_types.FungibleAssetBalance & {
                        fiatPrice: number;
                        fiatCurrency: string;
                        fiatValue: number;
                        amountFormatted: string;
                        asset: _onomy_hub.DetailedFungibleAssetOnChain;
                    };
                    pair: string;
                    denomA: string;
                    denomB: string;
                    balance: string;
                    previous: string;
                    limit: long.Long;
                    stop: long.Long;
                };
                pair: string;
                denom1: string;
                denom2: string;
                volume1: _onomy_telescope_dist_codegen_market_pool.Volume;
                volume2: _onomy_telescope_dist_codegen_market_pool.Volume;
                drops: string;
                history: long.Long;
            };
            totalBase: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            };
            totalQuote: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            };
            principalBase: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            };
            principalQuote: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            };
            rewardBase: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            };
            rewardQuote: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            };
            principalFiat: number;
            rewardFiat: number;
            totalFiat: number;
            bnTotalBase: bignumber_js__default;
            bnTotalQuote: bignumber_js__default;
            bnPrincipalBase: bignumber_js__default;
            bnPrincipalQuote: bignumber_js__default;
            bnRewardBase: bignumber_js__default;
            bnRewardQuote: bignumber_js__default;
            uid: long.Long;
            owner: string;
            pair: string;
            drops: string;
            product: string;
            active: boolean;
        }[];
        basePrincipal: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        };
        quotePrincipal: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        };
        baseReward: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        };
        quoteReward: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        };
        baseTotal: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        };
        quoteTotal: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        };
        fiatPrincipal: number;
        fiatReward: number;
        fiatTotal: number;
    }[];
    delegations: _onomy_hub.DetailedDelegationData[];
    nomUsdtDay: DayTradeFrame;
    nomEthDay: DayTradeFrame;
    onexNomBurned: _onomy_hub.DetailedFungibleAssetBalance;
    onexBalances: _onomy_hub.DetailedFungibleAssetBalance[];
    mainBalances: _onomy_hub.DetailedFungibleAssetBalance[];
    oneNomCoin: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    principalTotalFiat: number;
    rewardTotalFiat: number;
    liquidityTotalFiat: number;
    onexBalancesTotalFiat: number;
    mainBalancesTotalFiat: number;
    mainGrandTotalFiat: number;
    onexGrandTotalFiat: number;
    grandTotalFiat: number;
    loadingStatus: _onomy_react_utils.AsyncStatus;
};
declare function DEFAULT_LOADING_RENDER_FN$8(): react_jsx_runtime.JSX.Element;
declare function DEFAULT_ERROR_RENDER_FN$8(error: any): react_jsx_runtime.JSX.Element;
declare function OnomyDashboardProvider({ children, renderLoading, renderError, }: {
    children: JSX.Element | JSX.Element[];
    renderLoading?: typeof DEFAULT_LOADING_RENDER_FN$8;
    renderError?: typeof DEFAULT_ERROR_RENDER_FN$8;
}): react_jsx_runtime.JSX.Element;

/* eslint-disable */
// Generated by dts-bundle-generator v5.3.0

declare type DomeCallback = (data: DOMData) => void;
declare type ErrorCallback = (reason: string) => void;
declare type GetMarksCallback<T> = (marks: T[]) => void;
declare type HistoryCallback = (bars: Bar[], meta?: HistoryMetadata) => void;
declare type MarkConstColors = "red" | "green" | "blue" | "yellow";
/**
 * This is the generic type useful for declaring a nominal type,
 * which does not structurally matches with the base type and
 * the other types declared over the same base type
 *
 * Usage:
 * @example
 * type Index = Nominal<number, 'Index'>;
 * // let i: Index = 42; // this fails to compile
 * let i: Index = 42 as Index; // OK
 * @example
 * type TagName = Nominal<string, 'TagName'>;
 */
declare type Nominal<T, Name extends string> = T & {
	[Symbol.species]: Name;
};
declare type OnReadyCallback = (configuration: DatafeedConfiguration) => void;
declare type ResolutionString = Nominal<string, "ResolutionString">;
declare type ResolveCallback = (symbolInfo: LibrarySymbolInfo) => void;
declare type SearchSymbolsCallback = (items: SearchSymbolResultItem[]) => void;
declare type SeriesFormat = "price" | "volume";
declare type ServerTimeCallback = (serverTime: number) => void;
declare type SubscribeBarsCallback = (bar: Bar) => void;
declare type Timezone = "Etc/UTC" | CustomTimezones;
interface Bar {
	time: number;
	open: number;
	high: number;
	low: number;
	close: number;
	volume?: number;
}
interface DOMData {
	snapshot: boolean;
	asks: DOMLevel[];
	bids: DOMLevel[];
}
interface DOMLevel {
	price: number;
	volume: number;
}
interface DatafeedConfiguration {
	exchanges?: Exchange[];
	supported_resolutions?: ResolutionString[];
	units?: Record<string, Unit[]>;
	currency_codes?: string[];
	supports_marks?: boolean;
	supports_time?: boolean;
	supports_timescale_marks?: boolean;
	symbols_types?: DatafeedSymbolType[];
}
interface DatafeedSymbolType {
	name: string;
	value: string;
}
interface Exchange {
	value: string;
	name: string;
	desc: string;
}
interface HistoryMetadata {
	noData?: boolean;
	nextTime?: number | null;
}
interface IDatafeedChartApi {
	getMarks?(symbolInfo: LibrarySymbolInfo, from: number, to: number, onDataCallback: GetMarksCallback<Mark>, resolution: ResolutionString): void;
	getTimescaleMarks?(symbolInfo: LibrarySymbolInfo, from: number, to: number, onDataCallback: GetMarksCallback<TimescaleMark>, resolution: ResolutionString): void;
	/**
	 * This function is called if configuration flag supports_time is set to true when chart needs to know the server time.
	 * The charting library expects callback to be called once.
	 * The time is provided without milliseconds. Example: 1445324591. It is used to display Countdown on the price scale.
	 */
	getServerTime?(callback: ServerTimeCallback): void;
	searchSymbols(userInput: string, exchange: string, symbolType: string, onResult: SearchSymbolsCallback): void;
	resolveSymbol(symbolName: string, onResolve: ResolveCallback, onError: ErrorCallback, extension?: SymbolResolveExtension): void;
	getBars(symbolInfo: LibrarySymbolInfo, resolution: ResolutionString, periodParams: PeriodParams, onResult: HistoryCallback, onError: ErrorCallback): void;
	subscribeBars(symbolInfo: LibrarySymbolInfo, resolution: ResolutionString, onTick: SubscribeBarsCallback, listenerGuid: string, onResetCacheNeededCallback: () => void): void;
	unsubscribeBars(listenerGuid: string): void;
	subscribeDepth?(symbol: string, callback: DomeCallback): string;
	unsubscribeDepth?(subscriberUID: string): void;
	getVolumeProfileResolutionForPeriod?(currentResolution: ResolutionString, from: number, to: number, symbolInfo: LibrarySymbolInfo): ResolutionString;
}
interface LibrarySymbolInfo {
	/**
	 * Symbol Name
	 */
	name: string;
	full_name: string;
	base_name?: [
		string
	];
	/**
	 * Unique symbol id
	 */
	ticker?: string;
	description: string;
	type: string;
	/**
	 * @example "1700-0200"
	 */
	session: string;
	session_display?: string;
	/**
	 * @example "20181105,20181107,20181112"
	 */
	holidays?: string;
	/**
	 * @example "1900F4-2350F4,1000-1845:20181113;1000-1400:20181114"
	 */
	corrections?: string;
	/**
	 * Traded exchange
	 * @example "NYSE"
	 */
	exchange: string;
	listed_exchange: string;
	timezone: Timezone;
	/**
	 * Prices format: "price" or "volume"
	 */
	format: SeriesFormat;
	/**
	 * Code (Tick)
	 * @example 8/16/.../256 (1/8/100 1/16/100 ... 1/256/100) or 1/10/.../10000000 (1 0.1 ... 0.0000001)
	 */
	pricescale: number;
	/**
	 * The number of units that make up one tick.
	 * @example For example, U.S. equities are quotes in decimals, and tick in decimals, and can go up +/- .01. So the tick increment is 1. But the e-mini S&P futures contract, though quoted in decimals, goes up in .25 increments, so the tick increment is 25. (see also Tick Size)
	 */
	minmov: number;
	fractional?: boolean;
	/**
	 * @example Quarters of 1/32: pricescale=128, minmovement=1, minmovement2=4
	 */
	minmove2?: number;
	/**
	 * false if DWM only
	 */
	has_intraday?: boolean;
	/**
	 * An array of resolutions which should be enabled in resolutions picker for this symbol.
	 */
	supported_resolutions: ResolutionString[];
	/**
	 * @example (for ex.: "1,5,60") - only these resolutions will be requested, all others will be built using them if possible
	 */
	intraday_multipliers?: string[];
	has_seconds?: boolean;
	has_ticks?: boolean;
	/**
	 * It is an array containing seconds resolutions (in seconds without a postfix) the datafeed builds by itself.
	 */
	seconds_multipliers?: string[];
	has_daily?: boolean;
	has_weekly_and_monthly?: boolean;
	has_empty_bars?: boolean;
	has_no_volume?: boolean;
	/**
	 * Integer showing typical volume value decimal places for this symbol
	 */
	volume_precision?: number;
	data_status?: "streaming" | "endofday" | "pulsed" | "delayed_streaming";
	/**
	 * Boolean showing whether this symbol is expired futures contract or not.
	 */
	expired?: boolean;
	/**
	 * Unix timestamp of expiration date.
	 */
	expiration_date?: number;
	sector?: string;
	industry?: string;
	currency_code?: string;
	original_currency_code?: string;
	unit_id?: string;
	original_unit_id?: string;
	unit_conversion_types?: string[];
}
interface Mark {
	id: string | number;
	time: number;
	color: MarkConstColors | MarkCustomColor;
	text: string;
	label: string;
	labelFontColor: string;
	minSize: number;
}
interface MarkCustomColor {
	color: string;
	background: string;
}
interface PeriodParams {
	from: number;
	to: number;
	countBack: number;
	firstDataRequest: boolean;
}
interface SearchSymbolResultItem {
	symbol: string;
	full_name: string;
	description: string;
	exchange: string;
	ticker: string;
	type: string;
}
interface SymbolResolveExtension {
	currencyCode?: string;
	unitId?: string;
}
interface TimescaleMark {
	id: string | number;
	time: number;
	color: MarkConstColors | string;
	label: string;
	tooltip: string[];
}
interface Unit {
	id: string;
	name: string;
	description: string;
}
type CustomTimezones = "Africa/Cairo" | "Africa/Johannesburg" | "Africa/Lagos" | "America/Argentina/Buenos_Aires" | "America/Bogota" | "America/Caracas" | "America/Chicago" | "America/El_Salvador" | "America/Juneau" | "America/Lima" | "America/Los_Angeles" | "America/Mexico_City" | "America/New_York" | "America/Phoenix" | "America/Santiago" | "America/Sao_Paulo" | "America/Toronto" | "America/Vancouver" | "Asia/Almaty" | "Asia/Ashkhabad" | "Asia/Bahrain" | "Asia/Bangkok" | "Asia/Chongqing" | "Asia/Dubai" | "Asia/Ho_Chi_Minh" | "Asia/Hong_Kong" | "Asia/Jakarta" | "Asia/Jerusalem" | "Asia/Kathmandu" | "Asia/Kolkata" | "Asia/Kuwait" | "Asia/Muscat" | "Asia/Qatar" | "Asia/Riyadh" | "Asia/Seoul" | "Asia/Shanghai" | "Asia/Singapore" | "Asia/Taipei" | "Asia/Tehran" | "Asia/Tokyo" | "Atlantic/Reykjavik" | "Australia/ACT" | "Australia/Adelaide" | "Australia/Brisbane" | "Australia/Perth" | "Australia/Sydney" | "Europe/Amsterdam" | "Europe/Athens" | "Europe/Belgrade" | "Europe/Berlin" | "Europe/Brussels" | "Europe/Copenhagen" | "Europe/Dublin" | "Europe/Helsinki" | "Europe/Istanbul" | "Europe/Lisbon" | "Europe/London" | "Europe/Luxembourg" | "Europe/Madrid" | "Europe/Malta" | "Europe/Moscow" | "Europe/Oslo" | "Europe/Paris" | "Europe/Riga" | "Europe/Rome" | "Europe/Stockholm" | "Europe/Tallinn" | "Europe/Vilnius" | "Europe/Warsaw" | "Europe/Zurich" | "Pacific/Auckland" | "Pacific/Chatham" | "Pacific/Fakaofo" | "Pacific/Honolulu" | "Pacific/Norfolk" | "US/Mountain";

declare class OnexTradingViewData implements IDatafeedChartApi {
    private onexHistoryFrames;
    private barSubs;
    private lastTick;
    private baseDenom;
    private quoteDenom;
    private timer;
    constructor(onexHistoryFrames: OnexHistoryFrames, baseDenom: string, quoteDenom: string);
    private onBlockMined;
    destroy(): void;
    onReady(cb: OnReadyCallback): void;
    searchSymbols(userInput: string, exchange: string, symbolType: string, onResult: SearchSymbolsCallback): Promise<void>;
    resolveSymbol(symbolName: string, onSuccess: ResolveCallback): void;
    getBars(symbolInfo: LibrarySymbolInfo, resolution: string, periodParams: PeriodParams, onResult: HistoryCallback, onError: ErrorCallback): Promise<void>;
    subscribeBars(symbolInfo: LibrarySymbolInfo, resolution: ResolutionString, onTick: SubscribeBarsCallback, listenerGuid: string, onResetCacheNeededCallback: () => void): void;
    unsubscribeBars(listenerGuid: string): void;
}
declare function useOnexTradingViewData(baseDenom: string, quoteDenom: string): OnexTradingViewData | null;

declare function useExchangePair(): {
    loadingStatus: _onomy_react_utils.AsyncStatus;
    dayTradeDataStatus: _onomy_react_utils.AsyncStatus;
    quoteAsset: DetailedFungibleAssetOnChain;
    baseAsset: DetailedFungibleAssetOnChain;
    currentPricePerBase: _onomy_hub.DetailedFungibleAssetBalance;
    lastPricePerBase: _onomy_hub.DetailedFungibleAssetBalance;
    dayTradeData: DayTradeFrame;
    createOrderForm: {
        txStatus: _onomy_react_utils.AsyncStatus;
        txResult: _cosmjs_stargate.DeliverTxResponse | null;
        assetStatus: _onomy_react_utils.AsyncStatus;
        balanceStatus: _onomy_react_utils.AsyncStatus;
        loadingStatus: _onomy_react_utils.AsyncStatus;
        amountStatus: _onomy_react_utils.AsyncStatus;
        pricePerBaseStatus: _onomy_react_utils.AsyncStatus;
        stopPricePerBaseStatus: _onomy_react_utils.AsyncStatus;
        currentPricePerBaseStatus: _onomy_react_utils.AsyncStatus;
        bookBuyStatus: _onomy_react_utils.AsyncStatus;
        bookSellStatus: _onomy_react_utils.AsyncStatus;
        bookStatus: _onomy_react_utils.AsyncStatus;
        validationErrors: {
            price?: string | undefined;
            amountQuote?: string | undefined;
            amountBase?: string | undefined;
            amountAsk?: string | undefined;
            amountBid?: string | undefined;
        } | null;
        canSubmit: boolean;
        baseAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        baseBalance: _onomy_hub.DetailedFungibleAssetBalance;
        quoteAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        quoteBalance: _onomy_hub.DetailedFungibleAssetBalance;
        amountQuoteFixed: string;
        amountBaseFixed: string;
        baseDenom: string;
        quoteDenom: string;
        direction: "buy" | "sell";
        price: string;
        stopPrice: string;
        orderType: "limit" | "stop";
        pricePerBase: {
            asset: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
                meta: _onomy_frontend_relay_types.FungibleAsset;
            };
            amount: bigint;
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
        };
        stopPricePerBase: {
            asset: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
                meta: _onomy_frontend_relay_types.FungibleAsset;
            };
            amount: bigint;
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
        };
        currentPricePerBase: _onomy_hub.DetailedFungibleAssetBalance;
        amountQuote: {
            asset: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
                meta: _onomy_frontend_relay_types.FungibleAsset;
            };
            amount: bigint;
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
        };
        amountBase: {
            asset: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
                meta: _onomy_frontend_relay_types.FungibleAsset;
            };
            amount: bigint;
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
        };
        bookSell: {
            amount: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: DetailedFungibleAssetOnChain;
            };
            quoteAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: DetailedFungibleAssetOnChain;
            };
            price: string;
            pricePer: _onomy_hub.DetailedFungibleAssetBalance;
            direction: string;
            baseAsset: DetailedFungibleAssetOnChain;
            quoteAsset: DetailedFungibleAssetOnChain;
            uid: long.Long;
            owner: string;
            status: string;
            orderType: string;
            denomAsk: string;
            denomBid: string;
            rate: string[];
            prev: long.Long;
            next: long.Long;
            begTime: long.Long;
            updTime: long.Long;
        }[];
        bookBuy: {
            amount: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: DetailedFungibleAssetOnChain;
            };
            quoteAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: DetailedFungibleAssetOnChain;
            };
            price: string;
            pricePer: _onomy_hub.DetailedFungibleAssetBalance;
            direction: string;
            baseAsset: DetailedFungibleAssetOnChain;
            quoteAsset: DetailedFungibleAssetOnChain;
            uid: long.Long;
            owner: string;
            status: string;
            orderType: string;
            denomAsk: string;
            denomBid: string;
            rate: string[];
            prev: long.Long;
            next: long.Long;
            begTime: long.Long;
            updTime: long.Long;
        }[];
        bidAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        askAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        bidBalance: _onomy_hub.DetailedFungibleAssetBalance;
        askBalance: _onomy_hub.DetailedFungibleAssetBalance;
        bidAmountFixed: string;
        askAmountFixed: string;
        bidAmount: {
            asset: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
                meta: _onomy_frontend_relay_types.FungibleAsset;
            };
            amount: bigint;
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
        };
        askAmount: {
            asset: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
                meta: _onomy_frontend_relay_types.FungibleAsset;
            };
            amount: bigint;
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
        };
        setBidAmountFixed: (newAmountFixed: string) => void;
        setAskAmountFixed: (newAmountFixed: string) => void;
        setDirection: React__default.Dispatch<React__default.SetStateAction<"buy" | "sell">>;
        setPrice: (newPrice: string) => void;
        setOrderType: React__default.Dispatch<React__default.SetStateAction<"limit" | "stop">>;
        setAmountQuoteFixed: (newAmountFixed: string) => void;
        setAmountBaseFixed: (newAmountFixed: string) => void;
        submitTx: (e?: React__default.FormEvent<Element> | undefined) => Promise<void>;
        reset: () => void;
    };
    marketOrderForm: {
        txStatus: _onomy_react_utils.AsyncStatus;
        txResult: _cosmjs_stargate.DeliverTxResponse | null;
        assetStatus: _onomy_react_utils.AsyncStatus;
        balanceStatus: _onomy_react_utils.AsyncStatus;
        loadingStatus: _onomy_react_utils.AsyncStatus;
        estimateStatus: _onomy_react_utils.AsyncStatus;
        bidAmountStatus: _onomy_react_utils.AsyncStatus;
        askAmountStatus: _onomy_react_utils.AsyncStatus;
        amountStatus: _onomy_react_utils.AsyncStatus;
        currentPriceStatus: _onomy_react_utils.AsyncStatus;
        currentPricePerBaseStatus: _onomy_react_utils.AsyncStatus;
        estimatedPricePerAskStatus: _onomy_react_utils.AsyncStatus;
        validationErrors: {
            amountBid?: string | undefined;
            amountAsk?: string | undefined;
            slippage?: string | undefined;
            liquidity?: string | undefined;
        } | null;
        canSubmit: boolean;
        hasAttemptedSubmit: boolean;
        baseAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        baseBalance: _onomy_hub.DetailedFungibleAssetBalance;
        quoteAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        quoteBalance: _onomy_hub.DetailedFungibleAssetBalance;
        bidAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        askAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        bidAmount: {
            asset: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
                meta: _onomy_frontend_relay_types.FungibleAsset;
            };
            amount: bigint;
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
        };
        askAmount: {
            asset: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
                meta: _onomy_frontend_relay_types.FungibleAsset;
            };
            amount: bigint;
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
        };
        bidBalance: _onomy_hub.DetailedFungibleAssetBalance;
        askBalance: _onomy_hub.DetailedFungibleAssetBalance;
        baseAmount: {
            asset: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
                meta: _onomy_frontend_relay_types.FungibleAsset;
            };
            amount: bigint;
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
        };
        quoteAmount: {
            asset: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
                meta: _onomy_frontend_relay_types.FungibleAsset;
            };
            amount: bigint;
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
        };
        currentPricePerBase: {
            asset: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
                meta: _onomy_frontend_relay_types.FungibleAsset;
            };
            amount: bigint;
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
        };
        estimatedPricePerBase: {
            asset: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
                meta: _onomy_frontend_relay_types.FungibleAsset;
            };
            amount: bigint;
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
        };
        baseDenom: string;
        quoteDenom: string;
        direction: "buy" | "sell";
        bidAmountFixed: string;
        slippagePercentage: string;
        setDirection: React__default.Dispatch<React__default.SetStateAction<"buy" | "sell">>;
        setBidAmountFixed: React__default.Dispatch<React__default.SetStateAction<string>>;
        setSlippagePercentage: React__default.Dispatch<React__default.SetStateAction<string>>;
        submitTx: (e?: React__default.FormEvent<Element> | undefined) => Promise<void>;
        reset: () => void;
    };
    history: {
        amount: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        quoteAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        price: string;
        pricePer: _onomy_hub.DetailedFungibleAssetBalance;
        direction: string;
        baseAsset: DetailedFungibleAssetOnChain;
        quoteAsset: DetailedFungibleAssetOnChain;
        uid: long.Long;
        owner: string;
        status: string;
        orderType: string;
        denomAsk: string;
        denomBid: string;
        rate: string[];
        prev: long.Long;
        next: long.Long;
        begTime: long.Long;
        updTime: long.Long;
    }[];
    pool: {
        baseAsset: DetailedFungibleAssetOnChain;
        quoteAsset: DetailedFungibleAssetOnChain;
        fiatTotal: number;
        fiatCurrency: string;
        leaders: {
            baseAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: DetailedFungibleAssetOnChain;
            };
            quoteAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: DetailedFungibleAssetOnChain;
            };
            address: string;
            drops: string;
        }[];
        memberBase: {
            total: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: DetailedFungibleAssetOnChain;
            };
            pair: string;
            denomA: string;
            denomB: string;
            balance: string;
            previous: string;
            limit: long.Long;
            stop: long.Long;
        };
        memberQuote: {
            total: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: DetailedFungibleAssetOnChain;
            };
            pair: string;
            denomA: string;
            denomB: string;
            balance: string;
            previous: string;
            limit: long.Long;
            stop: long.Long;
        };
        pair: string;
        denom1: string;
        denom2: string;
        volume1: _onomy_telescope_dist_codegen_market_pool.Volume;
        volume2: _onomy_telescope_dist_codegen_market_pool.Volume;
        drops: string;
        history: long.Long;
    } | null;
    orders: {
        amount: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        quoteAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        price: string;
        pricePer: _onomy_hub.DetailedFungibleAssetBalance;
        direction: string;
        baseAsset: DetailedFungibleAssetOnChain;
        quoteAsset: DetailedFungibleAssetOnChain;
        uid: long.Long;
        owner: string;
        status: string;
        orderType: string;
        denomAsk: string;
        denomBid: string;
        rate: string[];
        prev: long.Long;
        next: long.Long;
        begTime: long.Long;
        updTime: long.Long;
    }[];
    bookBuy: {
        percentage: number;
        amount: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        totalAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        quoteAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        pricePer: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        uid: string;
        place: string;
        amountRaw: string;
        orders: string[];
    }[];
    bookSell: {
        percentage: number;
        amount: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        totalAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        quoteAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        pricePer: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        uid: string;
        place: string;
        amountRaw: string;
        orders: string[];
    }[];
    bookBinOptions: {
        value: string;
        label: string;
    }[];
    bookSelectedBin: string | undefined;
    orderDirection: "buy" | "sell";
    setOrderDirection: React__default.Dispatch<React__default.SetStateAction<"buy" | "sell">>;
    setBookSelectedBin: React__default.Dispatch<React__default.SetStateAction<string | undefined>>;
};
declare const DEFAULT_LOADING_RENDER_FN$7: () => react_jsx_runtime.JSX.Element;
declare const DEFAULT_ERROR_RENDER_FN$7: (error: any) => react_jsx_runtime.JSX.Element;
declare function ExchangePairProvider({ children, getBaseSymbol, getQuoteSymbol, renderLoading, renderError, }: {
    children: JSX.Element | JSX.Element[];
    getBaseSymbol: () => string;
    getQuoteSymbol: () => string;
    renderLoading?: typeof DEFAULT_LOADING_RENDER_FN$7;
    renderError?: typeof DEFAULT_ERROR_RENDER_FN$7;
}): react_jsx_runtime.JSX.Element;

declare function useAddDropsForm({ baseAsset, quoteAsset, pool, }: {
    baseAsset: DetailedFungibleAssetOnChain;
    quoteAsset: DetailedFungibleAssetOnChain;
    pool: Pool | null;
}): {
    txStatus: _onomy_react_utils.AsyncStatus;
    txResult: _cosmjs_stargate.DeliverTxResponse | null;
    loadingStatus: _onomy_react_utils.AsyncStatus;
    baseBalanceStatus: _onomy_react_utils.AsyncStatus;
    quoteBalanceStatus: _onomy_react_utils.AsyncStatus;
    balanceStatus: _onomy_react_utils.AsyncStatus;
    currentPricePerBaseStatus: _onomy_react_utils.AsyncStatus;
    currentPricePerQuoteStatus: _onomy_react_utils.AsyncStatus;
    amountBaseStatus: _onomy_react_utils.AsyncStatus;
    amountQuoteStatus: _onomy_react_utils.AsyncStatus;
    dropsStatus: _onomy_react_utils.AsyncStatus;
    baseAsset: DetailedFungibleAssetOnChain;
    quoteAsset: DetailedFungibleAssetOnChain;
    drops: string;
    amountBaseFixed: string;
    amountQuoteFixed: string;
    currentPricePerBase: _onomy_hub.DetailedFungibleAssetBalance;
    currentPricePerQuote: _onomy_hub.DetailedFungibleAssetBalance;
    amountBase: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    amountQuote: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    baseBalance: _onomy_hub.DetailedFungibleAssetBalance;
    quoteBalance: _onomy_hub.DetailedFungibleAssetBalance;
    dropsToPoolRatio: number;
    validationErrors: {
        drops?: string | undefined;
        amountBaseFixed?: string | undefined;
        amountQuoteFixed?: string | undefined;
    } | null;
    canSubmit: boolean;
    setAmountBaseFixed: (newAmountFixed: string) => void;
    setAmountQuoteFixed: (newAmountFixed: string) => void;
    setAmountBasePercentOfBalance: (percentage: number) => void;
    setAmountQuotePercentOfBalance: (percentage: number) => void;
    submitTx: (e?: React.FormEvent) => Promise<void>;
    reset: () => void;
};

declare function useLiquidityPair(): {
    baseAsset: DetailedFungibleAssetOnChain;
    quoteAsset: DetailedFungibleAssetOnChain;
    loadingStatus: _onomy_react_utils.AsyncStatus;
    poolStatus: _onomy_react_utils.AsyncStatus;
    myDropsStatus: _onomy_react_utils.AsyncStatus;
    basePrincipalStatus: _onomy_react_utils.AsyncStatus;
    quotePrincipalStatus: _onomy_react_utils.AsyncStatus;
    baseRewardStatus: _onomy_react_utils.AsyncStatus;
    quoteRewardStatus: _onomy_react_utils.AsyncStatus;
    totalsStatus: _onomy_react_utils.AsyncStatus;
    pool: {
        baseAsset: DetailedFungibleAssetOnChain;
        quoteAsset: DetailedFungibleAssetOnChain;
        fiatTotal: number;
        fiatCurrency: string;
        leaders: {
            baseAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: DetailedFungibleAssetOnChain;
            };
            quoteAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: DetailedFungibleAssetOnChain;
            };
            address: string;
            drops: string;
        }[];
        memberBase: {
            total: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: DetailedFungibleAssetOnChain;
            };
            pair: string;
            denomA: string;
            denomB: string;
            balance: string;
            previous: string;
            limit: long.Long;
            stop: long.Long;
        };
        memberQuote: {
            total: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: DetailedFungibleAssetOnChain;
            };
            pair: string;
            denomA: string;
            denomB: string;
            balance: string;
            previous: string;
            limit: long.Long;
            stop: long.Long;
        };
        pair: string;
        denom1: string;
        denom2: string;
        volume1: _onomy_telescope_dist_codegen_market_pool.Volume;
        volume2: _onomy_telescope_dist_codegen_market_pool.Volume;
        drops: string;
        history: long.Long;
    } | null;
    myDrops: {
        pool: {
            baseAsset: DetailedFungibleAssetOnChain;
            quoteAsset: DetailedFungibleAssetOnChain;
            fiatTotal: number;
            fiatCurrency: string;
            leaders: {
                baseAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
                    fiatPrice: number;
                    fiatCurrency: string;
                    fiatValue: number;
                    amountFormatted: string;
                    asset: DetailedFungibleAssetOnChain;
                };
                quoteAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
                    fiatPrice: number;
                    fiatCurrency: string;
                    fiatValue: number;
                    amountFormatted: string;
                    asset: DetailedFungibleAssetOnChain;
                };
                address: string;
                drops: string;
            }[];
            memberBase: {
                total: _onomy_frontend_relay_types.FungibleAssetBalance & {
                    fiatPrice: number;
                    fiatCurrency: string;
                    fiatValue: number;
                    amountFormatted: string;
                    asset: DetailedFungibleAssetOnChain;
                };
                pair: string;
                denomA: string;
                denomB: string;
                balance: string;
                previous: string;
                limit: long.Long;
                stop: long.Long;
            };
            memberQuote: {
                total: _onomy_frontend_relay_types.FungibleAssetBalance & {
                    fiatPrice: number;
                    fiatCurrency: string;
                    fiatValue: number;
                    amountFormatted: string;
                    asset: DetailedFungibleAssetOnChain;
                };
                pair: string;
                denomA: string;
                denomB: string;
                balance: string;
                previous: string;
                limit: long.Long;
                stop: long.Long;
            };
            pair: string;
            denom1: string;
            denom2: string;
            volume1: _onomy_telescope_dist_codegen_market_pool.Volume;
            volume2: _onomy_telescope_dist_codegen_market_pool.Volume;
            drops: string;
            history: long.Long;
        };
        totalBase: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        totalQuote: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        principalBase: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        principalQuote: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        rewardBase: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        rewardQuote: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        principalFiat: number;
        rewardFiat: number;
        totalFiat: number;
        bnTotalBase: bignumber_js.BigNumber;
        bnTotalQuote: bignumber_js.BigNumber;
        bnPrincipalBase: bignumber_js.BigNumber;
        bnPrincipalQuote: bignumber_js.BigNumber;
        bnRewardBase: bignumber_js.BigNumber;
        bnRewardQuote: bignumber_js.BigNumber;
        uid: long.Long;
        owner: string;
        pair: string;
        drops: string;
        product: string;
        active: boolean;
    }[];
    basePrincipal: _onomy_hub.DetailedFungibleAssetBalance;
    quotePrincipal: _onomy_hub.DetailedFungibleAssetBalance;
    baseReward: _onomy_hub.DetailedFungibleAssetBalance;
    quoteReward: _onomy_hub.DetailedFungibleAssetBalance;
    baseTotal: _onomy_hub.DetailedFungibleAssetBalance;
    quoteTotal: _onomy_hub.DetailedFungibleAssetBalance;
    fiatTotal: number;
    totalRewardRatio: number;
};
declare const DEFAULT_LOADING_RENDER_FN$6: () => react_jsx_runtime.JSX.Element;
declare const DEFAULT_ERROR_RENDER_FN$6: (error: any) => react_jsx_runtime.JSX.Element;
declare function LiquidityPairProvider({ quoteAsset, baseAsset, renderLoading, renderError, children, }: {
    children: JSX.Element | JSX.Element[];
    quoteAsset: DetailedFungibleAssetOnChain;
    baseAsset: DetailedFungibleAssetOnChain;
    renderLoading?: typeof DEFAULT_LOADING_RENDER_FN$6;
    renderError?: typeof DEFAULT_ERROR_RENDER_FN$6;
}): react_jsx_runtime.JSX.Element;

declare function useCancelOrderForm({ orderId }?: {
    orderId?: string | undefined;
}): {
    txStatus: _onomy_react_utils.AsyncStatus;
    txResult: _cosmjs_stargate.DeliverTxResponse | null;
    doCancel: (id: string) => Promise<void>;
    submitTx: (e?: React.FormEvent) => Promise<void>;
    reset: () => void;
};

declare function useCreatePoolForm({ baseAsset, quoteAsset, }: {
    baseAsset: DetailedFungibleAssetOnChain;
    quoteAsset: DetailedFungibleAssetOnChain;
}): {
    txStatus: _onomy_react_utils.AsyncStatus;
    txResult: _cosmjs_stargate.DeliverTxResponse | null;
    loadingStatus: _onomy_react_utils.AsyncStatus;
    balanceStatus: _onomy_react_utils.AsyncStatus;
    pricePerBaseStatus: _onomy_react_utils.AsyncStatus;
    inversePricePerBaseStatus: _onomy_react_utils.AsyncStatus;
    amountQuoteStatus: _onomy_react_utils.AsyncStatus;
    amountBaseStatus: _onomy_react_utils.AsyncStatus;
    baseAsset: DetailedFungibleAssetOnChain;
    quoteAsset: DetailedFungibleAssetOnChain;
    price: string;
    inversePrice: string;
    amountBaseFixed: string;
    amountQuoteFixed: string;
    validationErrors: {
        price?: string | undefined;
        baseAsset?: string | undefined;
        quoteAsset?: string | undefined;
        amountBaseFixed?: string | undefined;
        amountQuoteFixed?: string | undefined;
    } | null;
    canSubmit: boolean;
    baseBalance: _onomy_hub.DetailedFungibleAssetBalance;
    quoteBalance: _onomy_hub.DetailedFungibleAssetBalance;
    pricePerBase: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    pricePerQuote: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    amountQuote: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    amountBase: {
        asset: {
            chain: _onomy_frontend_relay_types.Blockchain;
            id: string;
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        amount: bigint;
        fiatPrice: number;
        fiatCurrency: string;
        fiatValue: number;
        amountFormatted: string;
    };
    setPrice: (newPrice: string) => void;
    setAmountBaseFixed: (newAmountFixed: string) => void;
    setAmountQuoteFixed: (newAmountFixed: string) => void;
    setAmountBasePercentOfBalance: (percentage: number) => void;
    setAmountQuotePercentOfBalance: (percentage: number) => void;
    submitTx: (e?: React.FormEvent) => Promise<void>;
    reset: () => void;
};

declare function useIndexedOrderBookForm({ baseAsset, quoteAsset, }: {
    baseAsset: DetailedFungibleAssetOnChain;
    quoteAsset: DetailedFungibleAssetOnChain;
}): {
    loadingStatus: _onomy_react_utils.AsyncStatus;
    orderBinsStatus: _onomy_react_utils.AsyncStatus;
    bookBuyStatus: _onomy_react_utils.AsyncStatus;
    bookSellStatus: _onomy_react_utils.AsyncStatus;
    binOptions: {
        value: string;
        label: string;
    }[];
    selectedBin: string | undefined;
    bookBuy: {
        percentage: number;
        amount: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        totalAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        quoteAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        pricePer: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        uid: string;
        place: string;
        amountRaw: string;
        orders: string[];
    }[];
    bookSell: {
        percentage: number;
        amount: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        totalAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        quoteAmount: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        pricePer: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: DetailedFungibleAssetOnChain;
        };
        uid: string;
        place: string;
        amountRaw: string;
        orders: string[];
    }[];
    chartData: {
        market: string;
        bids: {
            side: string;
            price: number;
            amount: number;
        }[];
        asks: {
            side: string;
            price: number;
            amount: number;
        }[];
    };
    setSelectedBin: React$1.Dispatch<React$1.SetStateAction<string | undefined>>;
};

declare function useProposalCreate(): {
    form: {
        amountDisplayValue: string;
        setAmountDisplayValue: (val: string) => void;
        TITLE_MAX_LENGTH: number;
        DESCRIPTION_MAX_LENGTH: number;
        gas: {
            loadingStatus: _onomy_react_utils.AsyncStatus;
            detailedOptionAmountsStatus: _onomy_react_utils.AsyncStatus;
            gasAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
                meta: _onomy_frontend_relay_types.FungibleAsset;
            };
            gasBalance: _onomy_hub.DetailedFungibleAssetBalance;
            gasAmount: _onomy_hub.DetailedFungibleAssetBalance;
            hasEnoughGasBalance: boolean;
            gasPrice: string;
            options: {
                label: string;
                amount: _onomy_hub.DetailedFungibleAssetBalance;
                value: string;
            }[];
            setGasPrice: (newPrice: string) => void;
            gasEstimate: string;
        };
        txStatus: _onomy_react_utils.AsyncStatus;
        depositTxStatus: _onomy_react_utils.AsyncStatus;
        amountStatus: _onomy_react_utils.AsyncStatus;
        proposalId: string;
        minDepositAmount: {
            asset: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
                meta: _onomy_frontend_relay_types.FungibleAsset;
            };
            amount: bigint;
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
        };
        amount: {
            asset: {
                chain: _onomy_frontend_relay_types.Blockchain;
                id: string;
                meta: _onomy_frontend_relay_types.FungibleAsset;
            };
            amount: bigint;
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
        };
        title: string;
        description: string;
        amountFixed: string;
        recipient: string;
        canSubmit: boolean;
        formErrors: {
            title?: string | undefined;
            description?: string | undefined;
            recipient?: string | undefined;
            amountFixed?: string | undefined;
            balance?: string | undefined;
        } | null;
        setTitle: React__default.Dispatch<React__default.SetStateAction<string>>;
        setDescription: React__default.Dispatch<React__default.SetStateAction<string>>;
        setAmountFixed: React__default.Dispatch<React__default.SetStateAction<string>>;
        setRecipient: React__default.Dispatch<React__default.SetStateAction<string>>;
        reset: () => void;
        submit: () => Promise<void>;
        doDeposit: () => Promise<void>;
    };
};
declare function ProposalCreateProvider({ children }: {
    children: JSX.Element | JSX.Element[];
}): react_jsx_runtime.JSX.Element;

declare function useGovernance(): {
    governanceRoute: string;
    allProposals: never[] | {
        id: string;
        status: string;
        content: {
            typeUrl: string;
            title: string;
            description: string;
        };
        data: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Proposal;
        votes: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Vote[];
        myVote: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Vote | null;
        totalDeposit: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        submitTime: Date;
        votingEndTime: Date;
        votingStartTime: Date;
        results: {
            total: bignumber_js.BigNumber;
            yes: bignumber_js.BigNumber;
            no: bignumber_js.BigNumber;
            noWithVeto: bignumber_js.BigNumber;
            abstain: bignumber_js.BigNumber;
        };
    }[];
    activeProposals: {
        id: string;
        status: string;
        content: {
            typeUrl: string;
            title: string;
            description: string;
        };
        data: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Proposal;
        votes: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Vote[];
        myVote: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Vote | null;
        totalDeposit: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        submitTime: Date;
        votingEndTime: Date;
        votingStartTime: Date;
        results: {
            total: bignumber_js.BigNumber;
            yes: bignumber_js.BigNumber;
            no: bignumber_js.BigNumber;
            noWithVeto: bignumber_js.BigNumber;
            abstain: bignumber_js.BigNumber;
        };
    }[];
    passedProposals: {
        id: string;
        status: string;
        content: {
            typeUrl: string;
            title: string;
            description: string;
        };
        data: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Proposal;
        votes: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Vote[];
        myVote: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Vote | null;
        totalDeposit: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        submitTime: Date;
        votingEndTime: Date;
        votingStartTime: Date;
        results: {
            total: bignumber_js.BigNumber;
            yes: bignumber_js.BigNumber;
            no: bignumber_js.BigNumber;
            noWithVeto: bignumber_js.BigNumber;
            abstain: bignumber_js.BigNumber;
        };
    }[];
    rejectedProposals: {
        id: string;
        status: string;
        content: {
            typeUrl: string;
            title: string;
            description: string;
        };
        data: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Proposal;
        votes: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Vote[];
        myVote: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Vote | null;
        totalDeposit: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        submitTime: Date;
        votingEndTime: Date;
        votingStartTime: Date;
        results: {
            total: bignumber_js.BigNumber;
            yes: bignumber_js.BigNumber;
            no: bignumber_js.BigNumber;
            noWithVeto: bignumber_js.BigNumber;
            abstain: bignumber_js.BigNumber;
        };
    }[];
    failedProposals: {
        id: string;
        status: string;
        content: {
            typeUrl: string;
            title: string;
            description: string;
        };
        data: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Proposal;
        votes: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Vote[];
        myVote: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Vote | null;
        totalDeposit: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        submitTime: Date;
        votingEndTime: Date;
        votingStartTime: Date;
        results: {
            total: bignumber_js.BigNumber;
            yes: bignumber_js.BigNumber;
            no: bignumber_js.BigNumber;
            noWithVeto: bignumber_js.BigNumber;
            abstain: bignumber_js.BigNumber;
        };
    }[];
    loadingStatus: _onomy_react_utils.AsyncStatus;
};
declare function DEFAULT_LOADING_RENDER_FN$5(): react_jsx_runtime.JSX.Element;
declare function DEFAULT_ERROR_RENDER_FN$5(error: any): react_jsx_runtime.JSX.Element;
declare function GovernanceProvider({ children, renderLoading, renderError, }: {
    children: JSX.Element | JSX.Element[];
    renderLoading?: typeof DEFAULT_LOADING_RENDER_FN$5;
    renderError?: typeof DEFAULT_ERROR_RENDER_FN$5;
}): react_jsx_runtime.JSX.Element;

declare function useClaimReward(): {
    gas: {
        loadingStatus: _onomy_react_utils.AsyncStatus;
        detailedOptionAmountsStatus: _onomy_react_utils.AsyncStatus;
        gasAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        gasBalance: _onomy_hub.DetailedFungibleAssetBalance;
        gasAmount: _onomy_hub.DetailedFungibleAssetBalance;
        hasEnoughGasBalance: boolean;
        gasPrice: string;
        options: {
            label: string;
            amount: _onomy_hub.DetailedFungibleAssetBalance;
            value: string;
        }[];
        setGasPrice: (newPrice: string) => void;
        gasEstimate: string;
    };
    loadingStatus: _onomy_react_utils.AsyncStatus;
    txStatus: _onomy_react_utils.AsyncStatus;
    txDetails: {
        delegationBefore: _onomy_hub.DetailedDelegationData | null;
        delegationAfter: _onomy_hub.DetailedDelegationData | null;
        balanceBefore: _onomy_hub.DetailedFungibleAssetBalance;
        balanceAfter: _onomy_hub.DetailedFungibleAssetBalance;
        reward: _onomy_frontend_relay_types.FungibleAssetBalance & {
            fiatPrice: number;
            fiatCurrency: string;
            fiatValue: number;
            amountFormatted: string;
            asset: _onomy_hub.DetailedFungibleAssetOnChain;
        };
        tx: _onomy_frontend_relay_types.BlockchainTransaction;
    } | {
        delegationBefore: _onomy_hub.DetailedDelegationData | null;
        delegationAfter: _onomy_hub.DetailedDelegationData | null;
        balanceBefore: _onomy_hub.DetailedFungibleAssetBalance;
        balanceAfter: _onomy_hub.DetailedFungibleAssetBalance;
        reward: _onomy_hub.DetailedFungibleAssetBalance;
        tx: _onomy_frontend_relay_types.BlockchainTransaction;
    } | null;
    canSubmit: boolean;
    formErrors: {
        asset?: string | undefined;
        validatorAddress?: string | undefined;
    } | null | undefined;
    asset: _onomy_hub.FungibleAssetWithMeta;
    delegation: _onomy_hub.DetailedDelegationData | null;
    validatorAddress: string;
    setValidatorAddress: React__default.Dispatch<React__default.SetStateAction<string>>;
    submit: () => void;
    reset: () => void;
};
declare function DEFAULT_LOADING_RENDER_FN$4(): react_jsx_runtime.JSX.Element;
declare function DEFAULT_ERROR_RENDER_FN$4(error: any): react_jsx_runtime.JSX.Element;
declare function ClaimRewardProvider({ children, validatorId, redelegate, renderLoading, renderError, }: {
    children: JSX.Element | JSX.Element[];
    validatorId: string;
    redelegate?: boolean;
    renderLoading?: typeof DEFAULT_LOADING_RENDER_FN$4;
    renderError?: typeof DEFAULT_ERROR_RENDER_FN$4;
}): react_jsx_runtime.JSX.Element;

declare function useProposalDetail(): {
    proposalId: string;
    proposal: {
        id: string;
        status: string;
        content: {
            typeUrl: string;
            title: string;
            description: string;
        };
        data: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Proposal;
        votes: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Vote[];
        myVote: _onomy_telescope_dist_codegen_cosmos_gov_v1beta1_gov.Vote | null;
        totalDeposit: _onomy_telescope_dist_codegen_cosmos_base_v1beta1_coin.Coin[];
        submitTime: Date;
        votingEndTime: Date;
        votingStartTime: Date;
        results: {
            total: bignumber_js.BigNumber;
            yes: bignumber_js.BigNumber;
            no: bignumber_js.BigNumber;
            noWithVeto: bignumber_js.BigNumber;
            abstain: bignumber_js.BigNumber;
        };
    } | null;
    votesChartData: number[];
    isVotingPeriod: boolean;
    loadingStatus: _onomy_react_utils.AsyncStatus;
};
declare function DEFAULT_LOADING_RENDER_FN$3(): react_jsx_runtime.JSX.Element;
declare function DEFAULT_ERROR_RENDER_FN$3(error: any): react_jsx_runtime.JSX.Element;
declare function ProposalDetailProvider({ children, getProposalId, renderLoading, renderError, }: {
    children: JSX.Element | JSX.Element[];
    getProposalId: () => string;
    renderLoading?: typeof DEFAULT_LOADING_RENDER_FN$3;
    renderError?: typeof DEFAULT_ERROR_RENDER_FN$3;
}): react_jsx_runtime.JSX.Element;

declare function useValidatorDetail(): {
    delegation: _onomy_hub.DetailedDelegationData | null;
    claimRewards: {
        gas: {
            loadingStatus: _onomy_react_utils.AsyncStatus;
            detailedOptionAmountsStatus: _onomy_react_utils.AsyncStatus;
            gasAsset: _onomy_frontend_relay_types.FungibleAssetOnChain & {
                meta: _onomy_frontend_relay_types.FungibleAsset;
            };
            gasBalance: _onomy_hub.DetailedFungibleAssetBalance;
            gasAmount: _onomy_hub.DetailedFungibleAssetBalance;
            hasEnoughGasBalance: boolean;
            gasPrice: string;
            options: {
                label: string;
                amount: _onomy_hub.DetailedFungibleAssetBalance;
                value: string;
            }[];
            setGasPrice: (newPrice: string) => void;
            gasEstimate: string;
        };
        loadingStatus: _onomy_react_utils.AsyncStatus;
        txStatus: _onomy_react_utils.AsyncStatus;
        txDetails: {
            delegationBefore: _onomy_hub.DetailedDelegationData | null;
            delegationAfter: _onomy_hub.DetailedDelegationData | null;
            balanceBefore: _onomy_hub.DetailedFungibleAssetBalance;
            balanceAfter: _onomy_hub.DetailedFungibleAssetBalance;
            reward: _onomy_frontend_relay_types.FungibleAssetBalance & {
                fiatPrice: number;
                fiatCurrency: string;
                fiatValue: number;
                amountFormatted: string;
                asset: _onomy_hub.DetailedFungibleAssetOnChain;
            };
            tx: _onomy_frontend_relay_types.BlockchainTransaction;
        } | {
            delegationBefore: _onomy_hub.DetailedDelegationData | null;
            delegationAfter: _onomy_hub.DetailedDelegationData | null;
            balanceBefore: _onomy_hub.DetailedFungibleAssetBalance;
            balanceAfter: _onomy_hub.DetailedFungibleAssetBalance;
            reward: _onomy_hub.DetailedFungibleAssetBalance;
            tx: _onomy_frontend_relay_types.BlockchainTransaction;
        } | null;
        canSubmit: boolean;
        formErrors: {
            asset?: string | undefined;
            validatorAddress?: string | undefined;
        } | null | undefined;
        asset: _onomy_hub.FungibleAssetWithMeta;
        delegation: _onomy_hub.DetailedDelegationData | null;
        validatorAddress: string;
        setValidatorAddress: React__default.Dispatch<React__default.SetStateAction<string>>;
        submit: () => void;
        reset: () => void;
    };
    loadingStatus: _onomy_react_utils.AsyncStatus;
    validatorDetailRoute: string;
};
declare function DEFAULT_LOADING_RENDER_FN$2(): react_jsx_runtime.JSX.Element;
declare function DEFAULT_ERROR_RENDER_FN$2(error: any): react_jsx_runtime.JSX.Element;
declare function ValidatorDetailProvider({ children, getValidatorId, renderLoading, renderError, }: {
    children: JSX.Element | JSX.Element[];
    getValidatorId: () => string;
    renderLoading?: typeof DEFAULT_LOADING_RENDER_FN$2;
    renderError?: typeof DEFAULT_ERROR_RENDER_FN$2;
}): react_jsx_runtime.JSX.Element;

declare function useRedeemDropForm({ dropId }?: {
    dropId?: string | undefined;
}): {
    txStatus: _onomy_react_utils.AsyncStatus;
    txResult: _cosmjs_stargate.DeliverTxResponse | null;
    canSubmit: boolean;
    validationErrors: {
        dropId?: string | undefined;
    } | null;
    dropId: string;
    doRedeem: (id?: string) => Promise<void>;
    submitTx: (e?: React.FormEvent) => Promise<void>;
    reset: () => void;
};

declare function DEFAULT_LOADING_RENDER_FN$1(): react_jsx_runtime.JSX.Element;
declare function DEFAULT_ERROR_RENDER_FN$1(error: any): react_jsx_runtime.JSX.Element;
declare function WalletBridgeFormProvider({ children, renderLoading, renderError, }: {
    children: JSX.Element | JSX.Element[];
    renderLoading?: typeof DEFAULT_LOADING_RENDER_FN$1;
    renderError?: typeof DEFAULT_ERROR_RENDER_FN$1;
}): react_jsx_runtime.JSX.Element;

declare function useTransferAsset(): {
    gas: {
        loadingStatus: _onomy_react_utils.AsyncStatus;
        detailedOptionAmountsStatus: _onomy_react_utils.AsyncStatus;
        gasAsset: FungibleAssetOnChain$1 & {
            meta: _onomy_frontend_relay_types.FungibleAsset;
        };
        gasBalance: _onomy_hub.DetailedFungibleAssetBalance;
        gasAmount: _onomy_hub.DetailedFungibleAssetBalance;
        hasEnoughGasBalance: boolean;
        gasPrice: string;
        options: {
            label: string;
            amount: _onomy_hub.DetailedFungibleAssetBalance;
            value: string;
        }[];
        setGasPrice: (newPrice: string) => void;
        gasEstimate: string;
    };
    txStatus: _onomy_react_utils.AsyncStatus;
    loadingStatus: _onomy_react_utils.AsyncStatus;
    canSubmit: boolean;
    formErrors: {
        asset?: string | undefined;
        destAddress?: string | undefined;
        amountFixed?: string | undefined;
        gas?: string | undefined;
    } | null;
    balance: _onomy_hub.DetailedFungibleAssetBalance;
    amount: _onomy_hub.DetailedFungibleAssetBalance;
    asset: FungibleAssetOnChain$1 | null;
    destAddress: string;
    isMaxAmount: boolean;
    amountFixed: string;
    displayAmount: string;
    txDetails: {
        asset: FungibleAssetOnChain$1;
        transaction: _onomy_frontend_relay_types.BlockchainTransaction;
        beforeBalance: _onomy_hub.DetailedFungibleAssetBalance;
        beforeBalanceDest: _onomy_hub.DetailedFungibleAssetBalance;
        afterBalance: _onomy_hub.DetailedFungibleAssetBalance;
        afterBalanceDest: _onomy_hub.DetailedFungibleAssetBalance;
    } | null;
    setAsset: React__default.Dispatch<React__default.SetStateAction<FungibleAssetOnChain$1 | null>>;
    setDestAddress: React__default.Dispatch<React__default.SetStateAction<string>>;
    setAmountFixed: (amt: string) => void;
    setDisplayAmount: (val: string) => void;
    toggleMaxAmount: () => void;
    submit: () => Promise<{
        asset: FungibleAssetOnChain$1;
        transaction: _onomy_frontend_relay_types.BlockchainTransaction;
        beforeBalance: _onomy_hub.DetailedFungibleAssetBalance;
        beforeBalanceDest: _onomy_hub.DetailedFungibleAssetBalance;
        afterBalance: _onomy_hub.DetailedFungibleAssetBalance;
        afterBalanceDest: _onomy_hub.DetailedFungibleAssetBalance;
    } | null>;
    reset: () => void;
};
declare function DEFAULT_LOADING_RENDER_FN(): react_jsx_runtime.JSX.Element;
declare function DEFAULT_ERROR_RENDER_FN(error: any): react_jsx_runtime.JSX.Element;
declare function TransferAssetProvider({ children, renderLoading, renderError, asset, }: {
    children: JSX.Element | JSX.Element[];
    renderLoading?: typeof DEFAULT_LOADING_RENDER_FN;
    renderError?: typeof DEFAULT_ERROR_RENDER_FN;
    asset: FungibleAssetOnChain$1 | null;
}): react_jsx_runtime.JSX.Element;

declare const PROPOSAL_STATUS: {
    PROPOSAL_STATUS_UNSPECIFIED: string;
    PROPOSAL_STATUS_DEPOSIT_PERIOD: string;
    PROPOSAL_STATUS_VOTING_PERIOD: string;
    PROPOSAL_STATUS_PASSED: string;
    PROPOSAL_STATUS_REJECTED: string;
    PROPOSAL_STATUS_FAILED: string;
    UNRECOGNIZED: string;
};
declare const PROPOSAL_TYPE: {
    ParameterChangeProposal: {
        name: string;
    };
    FundAccountProposal: {
        name: string;
    };
    SoftwareUpgradeProposal: {
        name: string;
    };
};
declare function isUndefined(index: any): index is boolean;
declare function getProposalType(index?: string): any;
declare function getProposalStatus(index?: string): any;
declare function renderRemainingDays(endDate: Date | null): string;
declare function calculateVotesChartData(proposal: any): number[];

declare const governanceUtils_PROPOSAL_STATUS: typeof PROPOSAL_STATUS;
declare const governanceUtils_PROPOSAL_TYPE: typeof PROPOSAL_TYPE;
declare const governanceUtils_isUndefined: typeof isUndefined;
declare const governanceUtils_getProposalType: typeof getProposalType;
declare const governanceUtils_getProposalStatus: typeof getProposalStatus;
declare const governanceUtils_renderRemainingDays: typeof renderRemainingDays;
declare const governanceUtils_calculateVotesChartData: typeof calculateVotesChartData;
declare namespace governanceUtils {
  export {
    governanceUtils_PROPOSAL_STATUS as PROPOSAL_STATUS,
    governanceUtils_PROPOSAL_TYPE as PROPOSAL_TYPE,
    governanceUtils_isUndefined as isUndefined,
    governanceUtils_getProposalType as getProposalType,
    governanceUtils_getProposalStatus as getProposalStatus,
    governanceUtils_renderRemainingDays as renderRemainingDays,
    governanceUtils_calculateVotesChartData as calculateVotesChartData,
  };
}

type Blockchain = {
    name: string;
};
type FungibleAssetOnChain = {
    chain: Blockchain;
    id: string;
};

export { Blockchain, ClaimRewardProvider, ExchangePairProvider, FungibleAssetOnChain, GovernanceProvider, LiquidityPairProvider, OnomyCoreProvider, OnomyDashboardProvider, OnomyEcosystemConfig, OnomyEcosystemConfigName, ProposalCreateProvider, ProposalDetailProvider, TransferAssetProvider, ValidatorDetailProvider, WalletBridgeFormProvider, governanceUtils, setOnomyEcosystemConfig, useAddDropsForm, useCancelOrderForm, useClaimReward, useCreatePoolForm, useExchangePair, useGovernance, useIndexedOrderBookForm, useLiquidityPair, useOnexDayTradeFrame, useOnexTradingViewData, useOnomyApp, useOnomyDashboard, useProposalCreate, useProposalDetail, useRedeemDropForm, useTransferAsset, useValidatorDetail };
